/// <reference types="react" />
import { BaseSelect } from '../select';
import { IRadioGroupProps } from '../../../definition';
/**
 * @component-impl
 * @stable [22.12.2020]
 */
export declare class RadioGroup extends BaseSelect<IRadioGroupProps> {
    static readonly defaultProps: IRadioGroupProps & Partial<import("../../../definition").IGenericComponentProps<any>>;
    /**
     * @stable [22.12.2020]
     * @protected
     */
    protected get inputAttachmentElement(): JSX.Element;
    /**
     * @stable [22.12.2020]
     * @protected
     */
    protected get attachmentBodyElement(): JSX.Element;
    /**
     * @stable [22.12.2020]
     * @protected
     */
    protected getFieldClassName(): string;
    /**
     * @stable [22.12.2020]
     * @protected
     */
    protected get baseTextFieldClassName(): string;
}
