import { BaseSelect } from './base-select.component';
import { IPresetsSelectOptionEntity, ISelectProps, ISelectState } from '../../../definition';
/**
 * @component-impl
 * @stable [22.12.2020]
 */
export declare class Select extends BaseSelect<ISelectProps, ISelectState> {
    static readonly defaultProps: ISelectProps & Partial<import("../../../definition").IGenericComponentProps<any>>;
    /**
     * @stable [22.12.2020]
     * @protected
     */
    protected getFilteredOptions(): IPresetsSelectOptionEntity[];
    /**
     * @stable [22.12.2020]
     * @protected
     */
    protected getFieldClassName(): string;
}
