/// <reference types="react" />
import { BaseCheckbox } from '../checkbox';
import { ISwitchProps } from '../../../definition';
/**
 * @component-impl
 * @stable [26.10.2020]
 */
export declare class Switch extends BaseCheckbox<ISwitchProps> {
    static readonly defaultProps: ISwitchProps & Partial<import("../../../definition").IGenericComponentProps<any>>;
    /**
     * @stable [26.10.2020]
     * @protected
     */
    protected getInputElement(): JSX.Element;
    /**
     * @stable [26.10.2020]
     */
    protected getFieldClassName(): string;
}
