/// <reference types="react" />
import { IPictureViewerProps } from '../../../definition';
import { Viewer } from '../viewer.component';
export declare class PictureViewer extends Viewer<IPictureViewerProps> {
    static readonly defaultProps: IPictureViewerProps & Partial<import("../../../definition").IGenericComponentProps<any>>;
    /**
     * @stable [13.12.2020]
     * @protected
     */
    protected getClassName(): string;
    /**
     * @stable [13.12.2020]
     * @protected
     */
    protected get contentElement(): JSX.Element;
    /**
     * @stable [13.12.2020]
     * @protected
     */
    protected get previewElement(): JSX.Element;
    /**
     * @stable [13.12.2020]
     * @protected
     */
    protected get previewForwardActionElement(): JSX.Element;
    /**
     * @stable [13.12.2020]
     * @protected
     */
    protected get previewBackActionElement(): JSX.Element;
}
