"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.PictureViewer = void 0;
var React = require("react");
var definition_1 = require("../../../definition");
var util_1 = require("../../../util");
var viewer_component_1 = require("../viewer.component");
var PictureViewer = /** @class */ (function (_super) {
    __extends(PictureViewer, _super);
    function PictureViewer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [13.12.2020]
     * @protected
     */
    PictureViewer.prototype.getClassName = function () {
        return util_1.ClsUtils.joinClassName(_super.prototype.getClassName.call(this), definition_1.ViewerClassesEnum.PICTURE_VIEWER);
    };
    Object.defineProperty(PictureViewer.prototype, "contentElement", {
        /**
         * @stable [13.12.2020]
         * @protected
         */
        get: function () {
            return (React.createElement("img", { className: definition_1.ViewerClassesEnum.VIEWER_CONTENT, src: this.actualSrc, style: this.domAccessor.getTransformScaleStyles(this.actualOrDefaultScale), alt: '' }));
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(PictureViewer.prototype, "previewElement", {
        /**
         * @stable [13.12.2020]
         * @protected
         */
        get: function () {
            return (React.createElement(PictureViewer, { src: this.actualSrc, scale: this.actualOrDefaultPreviewScale }));
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(PictureViewer.prototype, "previewForwardActionElement", {
        /**
         * @stable [13.12.2020]
         * @protected
         */
        get: function () {
            return null;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(PictureViewer.prototype, "previewBackActionElement", {
        /**
         * @stable [13.12.2020]
         * @protected
         */
        get: function () {
            return null;
        },
        enumerable: false,
        configurable: true
    });
    PictureViewer.defaultProps = util_1.PropsUtils.mergeWithParentDefaultProps({
        defaultScr: definition_1.DefaultEntities.MEDIA_NO_PICTURE_URL,
        usePreview: false,
    }, viewer_component_1.Viewer);
    return PictureViewer;
}(viewer_component_1.Viewer));
exports.PictureViewer = PictureViewer;
//# sourceMappingURL=picture-viewer.component.js.map