import { AnyT } from '../definitions.interface';
/**
 * @stable [05.08.2018]
 * @param {AnyT} v1
 * @param {AnyT} v2
 * @returns {AnyT}
 */
export declare const nvl: (v1: AnyT, v2: AnyT) => AnyT;
/**
 * @stable [31.08.2018]
 * @param {TValue} v
 * @returns {TValue}
 */
export declare const coalesce: <TValue = any>(...v: TValue[]) => TValue;
/**
 * @stable [19.05.2020]
 */
export declare class NvlUtils {
    static readonly coalesce: <TValue = any>(...v: TValue[]) => TValue;
    static readonly coalesceDef: <TValue = unknown>(...v: TValue[]) => TValue;
    static readonly nvl: (v1: any, v2: any) => any;
}
