/// <reference types="react" />
import { GenericComponent } from '../base/generic.component';
import { ICalendarProps } from '../../definition';
/**
 * @component-impl
 * @stable [29.12.2020]
 */
export declare class Calendar extends GenericComponent<ICalendarProps> {
    static readonly defaultProps: ICalendarProps;
    /**
     * @stable [29.12.2020]
     * @param originalProps
     */
    constructor(originalProps: ICalendarProps);
    /**
     * @stable [29.12.2020]
     */
    render(): JSX.Element;
    /**
     * @stable [29.12.2020]
     * @param payload
     * @private
     */
    private getColumnClassName;
    /**
     * @stable [29.12.2020]
     * @param entity
     * @private
     */
    private isDaySelected;
    /**
     * @stable [29.12.2020]
     * @param entity
     * @private
     */
    private isFirstSelectedDay;
    /**
     * @stable [29.12.2020]
     * @param entity
     * @private
     */
    private isLastSelectedDay;
    /**
     * @stable [29.12.2020]
     * @param entity
     * @private
     */
    private isMiddleSelectedDay;
    /**
     * @stable [31.12.2020]
     * @param item
     * @param column
     * @private
     */
    private getCellElement;
    /**
     * @stable [31.12.2020]
     * @param calendarEntity
     * @param column
     * @private
     */
    private getTitleElement;
    /**
     * @stable [29.12.2020]
     * @param payload
     * @private
     */
    private onClick;
    /**
     * @stable [29.12.2020]
     * @param payload
     * @private
     */
    private asCalendarDayEntity;
    /**
     * @stable [29.12.2020]
     * @private
     */
    private get calendarEntity();
}
