/// <reference types="react" />
import { GenericComponent } from '../base/generic.component';
import { IChartProps } from '../../definition';
/**
 * @component-impl
 * @stable [18.12.2020]
 */
export declare class Chart extends GenericComponent<IChartProps> {
    static readonly defaultProps: IChartProps;
    private readonly canvasRef;
    private chartJs;
    /**
     * @stable [18.12.2020]
     */
    componentDidMount(): void;
    /**
     * @stable [18.12.2020]
     */
    componentDidUpdate(): void;
    /**
     * @stable [18.12.2020]
     */
    render(): JSX.Element;
    /**
     * @stable [18.12.2020]
     * @private
     */
    private refresh;
    /**
     * @stable [18.12.2020]
     * @protected
     */
    protected get componentsSettingsProps(): IChartProps;
}
