import { Field } from '../field/field.component';
import { IBaseCheckboxInputProps, IBaseCheckboxProps, IBaseCheckboxState, IBaseEvent } from '../../../definition';
/**
 * @component-impl
 * @stable [21.12.2020]
 */
export declare class BaseCheckbox<TProps extends IBaseCheckboxProps = IBaseCheckboxProps, TState extends IBaseCheckboxState = IBaseCheckboxState> extends Field<TProps, TState> {
    static readonly defaultProps: IBaseCheckboxProps & Partial<import("../../../definition").IGenericComponentProps<any>>;
    /**
     * @stable [21.12.2020]
     * @protected
     */
    protected getInputElementProps(): IBaseCheckboxInputProps;
    /**
     * @stable [21.12.2020]
     * @param event
     * @protected
     */
    protected onClick(event: IBaseEvent): void;
    /**
     * @stable [21.12.2020]
     * @protected
     */
    protected getFieldClassName(): string;
    /**
     * @stable [21.12.2020]
     * @protected
     */
    protected getLabel(): string;
}
