/// <reference types="react" />
import { BaseCheckbox } from './base-checkbox.component';
import { ICheckboxProps } from '../../../definition';
/**
 * @component-impl
 * @stable [21.12.2020]
 */
export declare class Checkbox extends BaseCheckbox<ICheckboxProps> {
    static readonly defaultProps: ICheckboxProps & Partial<import("../../../definition").IGenericComponentProps<any>>;
    /**
     * @stable [21.12.2020]
     * @protected
     */
    protected get inputAttachmentElement(): JSX.Element;
    /**
     * @stable [21.12.2020]
     * @protected
     */
    protected getFieldClassName(): string;
}
