import { EntityIdT, IEntity } from '../../definitions.interface';
import { IGridState } from './grid.interface';
import { IGridColumnProps, IGridProps, ISortDirectionEntity, MultiFieldValueT } from '../../definition';
/**
 * @stable [12.02.2019]
 * @param {IGridColumnProps} column
 * @param {IGridProps} props
 * @returns {SortDirectionsEnum}
 */
export declare const getGridColumnSortDirection: (column: IGridColumnProps, props: IGridProps) => ISortDirectionEntity;
export declare const filterAndSortGridOriginalDataSource: (source: IEntity[], columns: IGridColumnProps[], props: IGridProps, state: IGridState) => IEntity[];
/**
 * @deprecated MultiFieldUtils.multiFieldValueEntitiesAsTrueValuesObject
 */
export declare const asExpandedGridGroups: <TEntity extends IEntity>(entity: MultiFieldValueT<TEntity>, groupValueAccessor?: (item: TEntity) => EntityIdT) => Record<EntityIdT, boolean>;
