/**
 * @enum
 * @stable [17.12.2020]
 */
export declare enum BarcodeFormatsEnum {
    CODE128 = "CODE128",
    CODE39 = "CODE39",
    EAN13 = "EAN13",
    EAN8 = "EAN8",
    UPC = "UPC"
}
/**
 * @enum
 * @stable [17.12.2020]
 */
export declare const BARCODE_APPLICABLE_FORMATS: BarcodeFormatsEnum[];
/**
 * @classes
 * @stable [08.06.2020]
 */
export declare enum BarcodeClassesEnum {
    BARCODE = "rac-barcode",
    DATA = "rac-barcode__data"
}
