"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BarcodeClassesEnum = exports.BARCODE_APPLICABLE_FORMATS = exports.BarcodeFormatsEnum = void 0;
/**
 * @enum
 * @stable [17.12.2020]
 */
var BarcodeFormatsEnum;
(function (BarcodeFormatsEnum) {
    BarcodeFormatsEnum["CODE128"] = "CODE128";
    BarcodeFormatsEnum["CODE39"] = "CODE39";
    BarcodeFormatsEnum["EAN13"] = "EAN13";
    BarcodeFormatsEnum["EAN8"] = "EAN8";
    BarcodeFormatsEnum["UPC"] = "UPC";
})(BarcodeFormatsEnum = exports.BarcodeFormatsEnum || (exports.BarcodeFormatsEnum = {}));
/**
 * @enum
 * @stable [17.12.2020]
 */
exports.BARCODE_APPLICABLE_FORMATS = [
    BarcodeFormatsEnum.CODE128,
    BarcodeFormatsEnum.CODE39,
    BarcodeFormatsEnum.EAN13,
    BarcodeFormatsEnum.EAN8,
    BarcodeFormatsEnum.UPC
];
/**
 * @classes
 * @stable [08.06.2020]
 */
var BarcodeClassesEnum;
(function (BarcodeClassesEnum) {
    BarcodeClassesEnum["BARCODE"] = "rac-barcode";
    BarcodeClassesEnum["DATA"] = "rac-barcode__data";
})(BarcodeClassesEnum = exports.BarcodeClassesEnum || (exports.BarcodeClassesEnum = {}));
//# sourceMappingURL=barcode-definition.interface.js.map