"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QUARTERS_PERIODS = exports.MONTHS_PERIODS = exports.WEEKS_PERIODS = exports.DAYS_PERIODS = exports.DatePeriodsEnum = void 0;
/**
 * @stable [06.03.2020]
 */
var DatePeriodsEnum;
(function (DatePeriodsEnum) {
    DatePeriodsEnum[DatePeriodsEnum["CUSTOM"] = 0] = "CUSTOM";
    DatePeriodsEnum[DatePeriodsEnum["DAY"] = 1] = "DAY";
    DatePeriodsEnum[DatePeriodsEnum["MONTH"] = 2] = "MONTH";
    DatePeriodsEnum[DatePeriodsEnum["PREVIOUS_DAY"] = 3] = "PREVIOUS_DAY";
    DatePeriodsEnum[DatePeriodsEnum["PREVIOUS_MONTH"] = 4] = "PREVIOUS_MONTH";
    DatePeriodsEnum[DatePeriodsEnum["PREVIOUS_QUARTER"] = 5] = "PREVIOUS_QUARTER";
    DatePeriodsEnum[DatePeriodsEnum["PREVIOUS_WEEK"] = 6] = "PREVIOUS_WEEK";
    DatePeriodsEnum[DatePeriodsEnum["QUARTER"] = 7] = "QUARTER";
    DatePeriodsEnum[DatePeriodsEnum["WEEK"] = 8] = "WEEK";
})(DatePeriodsEnum = exports.DatePeriodsEnum || (exports.DatePeriodsEnum = {}));
/**
 * @stable [25.03.2020]
 */
exports.DAYS_PERIODS = [DatePeriodsEnum.DAY, DatePeriodsEnum.PREVIOUS_DAY];
exports.WEEKS_PERIODS = [DatePeriodsEnum.WEEK, DatePeriodsEnum.PREVIOUS_WEEK];
exports.MONTHS_PERIODS = [DatePeriodsEnum.MONTH, DatePeriodsEnum.PREVIOUS_MONTH];
exports.QUARTERS_PERIODS = [DatePeriodsEnum.QUARTER, DatePeriodsEnum.PREVIOUS_QUARTER];
//# sourceMappingURL=date-definition.interface.js.map