"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileExtensionsEnum = exports.MimeTypesEnum = void 0;
/**
 * @enum
 * @stable [13.12.2020]
 */
var MimeTypesEnum;
(function (MimeTypesEnum) {
    MimeTypesEnum["APPLICATION_PDF"] = "application/pdf";
    MimeTypesEnum["APPLICATION_ZIP"] = "application/zip";
    MimeTypesEnum["IMAGE_GIF"] = "image/gif";
    MimeTypesEnum["IMAGE_JPEG"] = "image/jpeg";
    MimeTypesEnum["IMAGE_PNG"] = "image/png";
})(MimeTypesEnum = exports.MimeTypesEnum || (exports.MimeTypesEnum = {}));
/**
 * @enum
 * @stable [13.12.2020]
 */
var FileExtensionsEnum;
(function (FileExtensionsEnum) {
    FileExtensionsEnum["GIF"] = "gif";
    FileExtensionsEnum["JPEG"] = "jpeg";
    FileExtensionsEnum["PDF"] = "pdf";
    FileExtensionsEnum["PNG"] = "png";
    FileExtensionsEnum["ZIP"] = "zip";
})(FileExtensionsEnum = exports.FileExtensionsEnum || (exports.FileExtensionsEnum = {}));
//# sourceMappingURL=file-definition.interface.js.map