import { IEffectsAction } from 'redux-effects-promise';
import { ISucceedEditedListMiddlewareConfigEntity, ISucceedFormMiddlewareConfigEntity } from '../../definition';
/**
 * @stable [11.04.2020]
 * @param {ISucceedFormMiddlewareConfigEntity} cfg
 * @returns {IEffectsAction[]}
 */
export declare const makeSucceedFormMiddleware: (cfg?: ISucceedFormMiddlewareConfigEntity) => IEffectsAction[];
/**
 * @stable [10.09.2020]
 */
export declare class SucceedFormMiddlewareFactories {
    static readonly succeedEditedListMiddleware: <TState = {}>(cfg: ISucceedEditedListMiddlewareConfigEntity<TState>) => IEffectsAction[];
}
