import { FileExtensionsEnum } from '../definition';
/**
 * @stable [02.11.2020]
 */
export declare class BlobUtils {
    static readonly asFileExtension: (mimeType: string) => FileExtensionsEnum;
    static readonly detectBlobMimeType: (blob: Blob) => Promise<string>;
    static readonly fromBase64UrlToBlob: (base64: string, options?: RequestInit) => Promise<Blob>;
    static readonly fromUrlToBlob: (url: string, options?: RequestInit) => Promise<Blob>;
}
